MCP Tools Reference: developerknowledge.googleapis.com

도구: answer_query

answer_query를 사용하여 Google 개발자 제품에 관한 질문에 대한 그라운딩된 답변을 가져옵니다. 이 도구는 할당량이 제한되어 있습니다. 이 도구는 코퍼스의 정보를 종합하여 질문에 대한 답변을 생성합니다. answer_query는 search_documents와 동일한 코퍼스를 사용하여 답변을 제공합니다. 할당량 초과로 인한 429 오류가 표시되면 대신 search_documents를 사용하세요.

다음 샘플은 curl를 사용하여 answer_query MCP 도구를 호출하는 방법을 보여줍니다.

curl 요청
                  
curl --location 'https://developerknowledge.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "answer_query",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

입력 스키마

AnswerQuery에 대한 요청 메시지입니다.

AnswerQueryRequest

JSON 표현
{
  "query": string
}
필드
query

string

필수 항목입니다. 답변할 질문입니다.

출력 스키마

AnswerQuery의 응답 메시지입니다.

AnswerQueryResponse

JSON 표현
{
  "answerText": string
}
필드
answerText

string

질문에 대한 답변입니다.

도구 주석

파괴적 힌트: ❌ | 동일한 힌트: ✅ | 읽기 전용 힌트: ✅ | 오픈 월드 힌트: ❌